### Method

# GdkPixbuf PixbufLoader get_animation

#### Declaration [src]

    GdkPixbufAnimation*
    gdk_pixbuf_loader_get_animation (
      GdkPixbufLoader* loader
    )

#### Description [src]

Queries the `GdkPixbufAnimation` that a pixbuf loader is currently creating.

In general it only makes sense to call this function after the `GdkPixbufLoader::area-prepared` signal has been emitted by the loader.

If the loader doesn’t have enough bytes yet, and hasn’t emitted the `area-prepared` signal, this function will return `NULL`.

#### Return value

Type: `GdkPixbufAnimation`

The animation that the loader is currently loading.

The returned data is owned by the instance.
The return value can be `NULL`.